GDB (xrefs)

Public Member Functions | List of all members
gdb.command.xmethods.InfoXMethod Class Reference
Inheritance diagram for gdb.command.xmethods.InfoXMethod:

## Public Member Functions
def | __init__ (self)
def | invoke (self, arg, from_tty)
def | __init__ (self)
def | invoke (self, arg, from_tty)

## Detailed Description

    GDB command to list registered xmethod matchers.

    Usage: info xmethod [locus-regexp [name-regexp]]

    LOCUS-REGEXP is a regular expression matching the location of the
    xmethod matchers.  If it is omitted, all registered xmethod matchers
    from all loci are listed.  A locus could be 'global', a regular expression
    matching the current program space's filename, or a regular expression
    matching filenames of objfiles.  Locus could be 'progspace' to specify that
    only xmethods from the current progspace should be listed.

    NAME-REGEXP is a regular expression matching the names of xmethod
    matchers.  If this omitted for a specified locus, then all registered
    xmethods in the locus are listed.  To list only a certain xmethods
    managed by a single matcher, the name regexp can be specified as
    matcher-name-regexp;xmethod-name-regexp.

Definition at line 177 of file xmethods.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.command.xmethods.InfoXMethod.__init__ | ( |  | self | ) |

Definition at line 196 of file xmethods.py.

Referenced by gdb.command.xmethods.InfoXMethod.__init__().

## ◆ __init__() [2/2]

def gdb.command.xmethods.InfoXMethod.__init__ | ( |  | self | ) |

Definition at line 196 of file xmethods.py.

References gdb.command.xmethods.InfoXMethod.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.command.xmethods.InfoXMethod.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

Definition at line 200 of file xmethods.py.

References gdb.command.xmethods.get_global_method_matchers(), gdb.command.xmethods.get_method_matchers_in_loci(), gdb.command.xmethods.parse_xm_command_args(), and gdb.command.xmethods.print_xm_info().

Referenced by gdb.command.xmethods.InfoXMethod.invoke().

## ◆ invoke() [2/2]

def gdb.command.xmethods.InfoXMethod.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

Definition at line 200 of file xmethods.py.

References gdb.command.xmethods.get_global_method_matchers(), gdb.command.xmethods.get_method_matchers_in_loci(), gdb.command.xmethods.InfoXMethod.invoke(), gdb.command.xmethods.parse_xm_command_args(), and gdb.command.xmethods.print_xm_info().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/xmethods.py